Subject: bug#22428: SED 4.2.2 vs SED 4.1.5

From: WALTHER PLANZO II <[email-masked]>
Date: Thu, 21 Jan 2016 20:35:18 +0000

Hello GNU team,

I am facing an interesting situation with SED, could you please provide some insights?

*         I have 2 Linux Machines, for instance M1 and M2.

*         On M1 I have UBUNTU 14 and on this machine I used PERL v5.18.2 to build a perl script that invokes SED according to the line below (xxxx are credentials only):

o   ldapsearch -x -P 3 -p 7323 -h xxx.xxx.xxx.xxx -w xxxxxx -D "administratorName=xxxxx,nodeName=xxxxxx" -b "nodeName=xxxxxxx" -LLL | sed -e :a -e '$!N;s/\\n[ \\t]//;ta' -e 'P;D'> /tmp/conf1.ldif

*         In M1 all runs smoothly and perfect

*         However, on M2 that runs SUSE Linux Enterprise Desktop 11 (x86_64) with perl v5.10.0, when I run the exact same perl script that invokes the exact same line that contains the SED commands above, I get the error below :

o   sed: -e expression #2, char 1: unknown command: `B`

*         On M1 the SED release is 4.2.2, no issues there. My problem is on M2 with SED release 4.1.5.

I tried to compare both SED releases man pages and I saw only slight differences there, but not a significant one to explain my issue, can you help?

Thanks a lot and Best Regards,

Walther Planzo II